---
title: "RegisterDashboardWidget"
generated: true
---
<GenerationInfo sourceFile="packages/admin-ui/src/lib/core/src/extension/register-dashboard-widget.ts" sourceLine="16" packageName="@vendure/admin-ui" />

Registers a dashboard widget. Once registered, the widget can be set as part of the default
(using <DocsLink href="/reference/admin-ui-api/dashboard-widgets/set-dashboard-widget-layout#setdashboardwidgetlayout">setDashboardWidgetLayout</DocsLink>).

```ts title="Signature"
function registerDashboardWidget(id: string, config: DashboardWidgetConfig): void
```
Parameters

### id

<MemberInfo kind="parameter" type={`string`} />

### config

<MemberInfo kind="parameter" type={`<a href='/reference/admin-ui-api/dashboard-widgets/dashboard-widget-config#dashboardwidgetconfig'>DashboardWidgetConfig</a>`} />

